Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Log_Msg_IPC Class Reference

Defines the interfaces for ACE_Log_Msg backend. More...

`#include <Log_Msg_IPC.h>`

Inheritance diagram for ACE_Log_Msg_IPC:

[legend]
Collaboration diagram for ACE_Log_Msg_IPC:

[legend]
List of all members.

## Public Methods
| ACE_Log_Msg_IPC (void)
| Constructor.
virtual | ~ACE_Log_Msg_IPC (void)
| Destructor.
virtual int | open (const ACE_TCHAR *logger_key)
| Open a new connection.
virtual int | reset (void)
virtual int | close (void)
| Close the backend completely.
virtual int | log (ACE_Log_Record &log_record)
## Private Attributes
ACE_LOG_MSG_IPC_STREAM | message_queue_

## Detailed Description

Defines the interfaces for ACE_Log_Msg backend.

Implement an ACE_Log_Msg_Backend that logs to a remote logging process.

## Constructor & Destructor Documentation

ACE_Log_Msg_IPC::ACE_Log_Msg_IPC | ( | void |  | ) |

| Constructor.

ACE_Log_Msg_IPC::~ACE_Log_Msg_IPC | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Log_Msg_IPC::close | ( | void |  | ) | `[virtual]`

| Close the backend completely. Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_IPC::log | ( | ACE_Log_Record & | log_record | ) | `[virtual]`

| Backend routine. This is called when we want to log a message. Since this routine is pure virtual, it must be overwritten by the subclass. Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_IPC::open | ( | const ACE_TCHAR * | logger_key | ) | `[virtual]`

| Open a new connection. Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_IPC::reset | ( | void |  | ) | `[virtual]`

| Implements ACE_Log_Msg_Backend.

## Member Data Documentation

ACE_LOG_MSG_IPC_STREAM ACE_Log_Msg_IPC::message_queue_`[private]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Log_Msg_IPC.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Log_Msg_IPC.cpp